﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Mq
{
    public partial class EventNames
    {
        #region  推送

        /// <summary>
        /// 热线工单流程开启
        /// </summary>
        public const string HotlineOrderFlowStarted = "hotline.order.flow.started";

        /// <summary>
        /// 热线工单办理
        /// </summary>
        public const string HotlineOrderFlowHandled = "hotline.order.flow.handled";

		/// <summary>
		/// 补传附件
		/// </summary>
		public const string HotlineOrderFlowFile = "hotline.order.flow.file";

		/// <summary>
		/// 撤回
		/// </summary>
		public const string HotlineOrderFlowRecalled = "hotline.order.flow.recalled";

        /// <summary>
        /// 退回
        /// </summary>
        public const string HotlineOrderFlowPrevious = "hotline.order.flow.previous";

        /// <summary>
        /// 热线工单期满时间变更
        /// </summary>
        public const string HotlineOrderExpiredTimeUpdate = "hotline.order.expiredtime.update";

        /// <summary>
        /// 热线工单归档---服务工单结果
        /// </summary>
        public const string HotlineOrderFiled = "hotline.order.filed";

        /// <summary>
        /// 回访完成（推省上）
        /// </summary>
        public const string HotlineOrderVisited = "hotline.order.visited";

        /// <summary>
        /// 回访完成（回访全量数据(Web\WeChat\App)）
        /// </summary>
        public const string HotlineOrderVisitedWeb = "hotline.order.visited.web";

        /// <summary>
        /// 甄别申请
        /// </summary>
        public const string HotlineOrderScreenApply = "hotline.order.screen.apply";

        /// <summary>
        /// 甄别申请完成---甄别通过
        /// </summary>
        public const string HotlineOrderScreenApplyed = "hotline.order.screen.applyed";

        /// <summary>
        /// 督办过程
        /// </summary>
        public const string HotlineOrderSuperviseCourse = "hotline.order.supervise.course";

        /// <summary>
        /// 督办结果
        /// </summary>
        public const string HotlineOrderSuperviseResult = "hotline.order.supervise.result";

        /// <summary>
        /// 催办通知
        /// </summary>
        public const string HotlineOrderUrgeInform = "hotline.order.urge.inform";

        /// <summary>
        /// 工单退回申请
        /// </summary>
        public const string HotlineOrderSendBackApplyed = "hotline.order.sendback.applyed";

        /// <summary>
        /// 延期申请
        /// </summary>
        public const string HotlineOrderApplyDelay = "hotline.order.apply.delay";

        /// <summary>
        /// 发布
        /// </summary>
        public const string HotlineOrderPublishOrder = "hotline.order.publish.order";

        /// <summary>
        /// 市州工单互转
        /// </summary>
        public const string HotlineOrderTranspondCity = "hotline.order.transpond.city";

        /// <summary>
        /// 政民互动公开
        /// </summary>
        public const string HotlineOrderProvinceZmhd = "hotline.order.province.zmhd";

        /// <summary>
        /// 应急管理局
        /// </summary>
        public const string HotlineOrderContingencyManagement = "hotline.order.contingency.management";

        /// <summary>
        /// 应急管理局推送回调
        /// </summary>
        public const string HotlineOrderContingencyManagementState = "hotline.order.contingency.management.state";

        /// <summary>
        /// 处理每天办理完成未及时推送办理结果的数据 
        /// </summary>
        public const string HotlineFiledOrdersRepublish = "hotline.filed.orders.republish";
        #endregion

        #region 内部订阅

        /// <summary>
        /// 即将超期短信（延迟消息）
        /// </summary>
        public const string HotlineOrderNearlyExpiredTimeSms = "hotline.order.nearlyexpiredtime.sms";

        /// <summary>
        /// 超期短信（延迟消息）
        /// </summary>
        public const string HotlineOrderExpiredTimeSms = "hotline.order.expiredtime.sms";

        /// <summary>
        /// 批量短信服务
        /// </summary>
        public const string HotlineBatchSmsTask = "hotline.order.batchsmstask";

        /// <summary>
        /// 自动延期（延迟消息）
        /// </summary>
        public const string HotlineOrderAutomaticDelay = "hotline.order.automatic.Delay";

        /// <summary>
        /// 延期催办短信（延迟消息，自动延期前2小时发送）
        /// </summary>
        public const string HotlineOrderAutomaticSendSmsDelay = "hotline.order.automatic.send.sms.Delay";

        /// <summary>
        /// 领导通知短信
        /// </summary>
        public const string HotlineLeaderSMS = "hotline.order.leader.sms";

        #endregion


    }
}
